libqca2-2.2.0-alt0.1.S1.i586.rpm


Advertisement

Description

libqca2 - QCA - Qt Cryptographic Architecture library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libqca2-2.2.0-alt0.1.S1.i586.rpm
Package name libqca2
Package version 2.2.0
Package release alt0.1.S1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 1.02 MB
Installed size 1.02 MB
This library provides an easy API for the following features: SSL/TLS,
X509, SASL, RSA, Hashing (SHA1, MD5), Ciphers (BlowFish, 3DES, AES)
Functionality is supplied via plugins.  This is useful for avoiding
dependence on a particular crypto library and makes upgrading easier,
as there is no need to recompile your application when adding or
upgrading a crypto plugin.  Also, by pushing crypto functionality into
plugins, your application is free of legal issues, such as export
regulation.

Alternatives

Package Version Architecture Repository
libqca2-2.2.0-alt0.1.S1.x86_64.rpm 2.2.0 x86_64 Classic
libqca2 - - -

Requires

Name Value
ca-certificates -
libQtCore.so.4 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.21) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -
rtld(GNU_UNIQUE) -

Provides

Name Value
libqca.so.2 -
libqca2 = 2.2.0-alt0.1.S1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libqca2-2.2.0-alt0.1.S1.i586.rpm
Source Package qca2-2.2.0-alt0.1.S1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libqca2 rpm package:
    # sudo apt-get install libqca2

Files

Path
/usr/lib/libqca.so.2
/usr/lib/libqca.so.2.2.0
/usr/share/doc/libqca2-2.2.0/INSTALL
/usr/share/doc/libqca2-2.2.0/README
/usr/share/doc/libqca2-2.2.0/TODO

Changelog

2018-08-29 - Sergey V Turchin <zerg@altlinux.org> 2.2.0-alt0.1.S1
- 2.2.0 snapshot
2018-03-15 - Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt2
- NMU: added URL
2015-10-06 - Sergey V Turchin <zerg@altlinux.org> 2.1.1-alt1
- new version
2015-06-25 - Sergey V Turchin <zerg@altlinux.org> 2.1.0.3-alt2
- rebuild with new libgcrypt
2015-05-27 - Sergey V Turchin <zerg@altlinux.org> 2.1.0.3-alt1
- new version
2013-10-30 - Sergey V Turchin <zerg@altlinux.org> 2.0.3-alt5
- rebuilt with new libsasl2
2012-10-03 - Sergey V Turchin <zerg@altlinux.org> 2.0.3-alt4
- fix against gcc-4.7
2012-07-24 - Sergey V Turchin <zerg@altlinux.org> 2.0.3-alt2.M60P.1
- built for M60P
2012-07-24 - Sergey V Turchin <zerg@altlinux.org> 2.0.3-alt3
- built pkcs11 plugin
2011-04-20 - Sergey V Turchin <zerg@altlinux.org> 2.0.3-alt2
- fix build requires

See Also

Package Description
libqca2-devel-2.2.0-alt0.1.S1.i586.rpm Header files for developing apps which will use Qt Crytographic Architecture (QCA)
libqcodeedit-2.2.2-alt3.i586.rpm Shared library of QCodeEdit
libqcodeedit-designer-2.2.2-alt3.i586.rpm QCodeEdit designer plugin
libqcodeedit-devel-2.2.2-alt3.i586.rpm Devel files and examples for QCodeEdit
libqconnman-1.24-alt1.i586.rpm Qt wrapper library around the connman API
libqconnman-devel-1.24-alt1.i586.rpm Development files for qconnman
libqd-2.3.14-alt1.i586.rpm Shared libraries of QD
libqd-devel-2.3.14-alt1.i586.rpm Development files of QD
libqgpgme4-4.14.11-alt9.S1.i586.rpm kde4pimlibs libraries
libqgpgme7-1.11.1-alt2.i586.rpm gpgme library
libqgroupwise0-19.04.0-alt1.i586.rpm kde5-kopete libraries
libqhull-2012.1-alt1.qa1.i586.rpm General dimension convex hull program library
libqhull-devel-2012.1-alt1.qa1.i586.rpm General dimension convex hull program development files
libqimageblitz-0.0.6-alt4.i586.rpm Graphical effect and filter library for KDE4.0
libqimageblitz-devel-0.0.6-alt4.i586.rpm qimageblitz development library and headers
Advertisement
Advertisement